-
Notifications
You must be signed in to change notification settings - Fork 3
New issue
Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.
By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.
Already on GitHub? Sign in to your account
Include 3d rim design #11
base: master
Are you sure you want to change the base?
Conversation
Design already verified with printed parts |
3d/rim.py
Outdated
REEL_H0 = 8 | ||
|
||
PINION_D = 6.70 | ||
PINION_D_FDM = PINION_D + FDM_MARGIN |
There was a problem hiding this comment.
Choose a reason for hiding this comment
The reason will be displayed to describe this comment to others. Learn more.
I would declare all configurable variables on the top like:
FDM_MARGIN = 0.1
REEL_H0 = 8
TIRE_W = 2.5
WHEEL_D = 20.5
PINION_D = 6.70
OUTER = WHEEL_D - TIRE_W * 2 - FDM_MARGIN
INNER = PINION_D + FDM_MARGIN
There was a problem hiding this comment.
Choose a reason for hiding this comment
The reason will be displayed to describe this comment to others. Learn more.
Solve on 70f4e9b
There was a problem hiding this comment.
Choose a reason for hiding this comment
The reason will be displayed to describe this comment to others. Learn more.
Or even... just define inner/outer variables? 😇
We could start using lower case for variables (more Pythonic...)
Just for reference, this is what we sent Jorge to print, if they find the time. Can be displayed with jupyter-cadquery in Binder. import cadquery
from jupyter_cadquery.cadquery import show
from jupyter_cadquery.cadquery import Assembly
from jupyter_cadquery.cadquery import Part
width = 8.0
tire = 2.5
tire_outter_radius = 21.0 / 2.
rim_inner_radius = 6.70 / 2.
rim_outter_radius = outter / 2. - tire
tire_outter_radius = rim_outter_radius + tire
rim = cadquery.Workplane('XY')\
.circle(radius=rim_outter_radius)\
.circle(radius=rim_inner_radius)\
.extrude(distance=width)
tire = cadquery.Workplane('XY')\
.circle(radius=tire_outter_radius)\
.circle(radius=rim_outter_radius)\
.extrude(distance=width)
assembly = Assembly(
[
Part(rim, "rim", "#d7191c"),
Part(tire, "tire", "#abdda4"),
],
"wheel"
)
show(assembly, axes=True, grid=True, ortho=True, axes0=True) |
No description provided.